import javafx.animation.Animation;
import javafx.animation.Interpolator;
import javafx.animation.ParallelTransition;
import javafx.animation.RotateTransition;
import javafx.animation.TranslateTransition;
import javafx.scene.paint.Color;
import javafx.scene.shape.Rectangle;
import javafx.util.Duration;

public class Blocker extends Rectangle{

	public Blocker(double x1, double y1)
	{
		super(x1, y1, 140, 10);
		setFill(Color.RED);
		
		RotateTransition rot = new RotateTransition(Duration.millis(2500), this);
		rot.setByAngle(360);
		rot.setInterpolator(Interpolator.LINEAR);
		rot.setCycleCount(Animation.INDEFINITE);
		rot.setAutoReverse(false);
		
		TranslateTransition trans = new TranslateTransition(Duration.millis(4000), this);
	    trans.setByY(350);
	    trans.setCycleCount(Animation.INDEFINITE);
	    trans.setAutoReverse(true);
	    
	    ParallelTransition pt = new ParallelTransition();
	    pt.getChildren().addAll(rot, trans);
	    pt.play();
	}
}
